/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.wechat.dao.MdeVipPackageDao;
import com.wechat.model.dbEntity.MdeVipPackage;
import com.wechat.model.dto.VipPackageDto;

/**
 * 单表生成Service
 * 
 * @author tangwc
 * @version 2018-06-08
 */
@Service
public class MdeVipPackageService {

	@Autowired
	MdeVipPackageDao vipPackageDao;

	public MdeVipPackage getPkgInfoContainPrice(String pkgId, String priceId) {
		Map<String, String> map = new HashMap<String, String>();
		map.put("pkgId", pkgId);
		map.put("priceId", priceId);
		return vipPackageDao.getPkgInfoContainPrice(map);
	}
	public MdeVipPackage getPkgInfoById(int pkgId,String lang) {
		return vipPackageDao.getPkgInfoById(pkgId,lang);
	}

	public List<VipPackageDto> getPackagesByIdentityFlag(String identityFlag, String lang) {
		Map<String, String> map = new HashMap<String, String>();
		map.put("identityFlag", identityFlag);
		map.put("lang", lang);
		return vipPackageDao.getPackagesByIdentityFlag(map);
	}
}